snd_tplg_obj_template_t Struct Reference
Topology Interface
Collaboration diagram for snd_tplg_obj_template_t:
[legend]

## Data Fields

enum snd_tplg_type | type
int | index
int | version
int | vendor_type
union {
struct snd_tplg_widget_template * snd_tplg_obj_template_t::widget
struct snd_tplg_mixer_template * snd_tplg_obj_template_t::mixer
struct snd_tplg_bytes_template * snd_tplg_obj_template_t::bytes_ctl
struct snd_tplg_enum_template * snd_tplg_obj_template_t::enum_ctl
struct snd_tplg_graph_template * snd_tplg_obj_template_t::graph
struct snd_tplg_pcm_template * snd_tplg_obj_template_t::pcm
struct snd_tplg_link_template * snd_tplg_obj_template_t::link
struct snd_tplg_dai_template * snd_tplg_obj_template_t::dai
}; |

The documentation for this struct was generated from the following file:

- /build/alsa-lib-9xRWap/alsa-lib-1.2.6.1/include/topology.h